<?php

namespace Ulmus\Api\Attribute\Obj\Api;

use Ulmus\Api\Common\MethodEnum;

#[\Attribute]
abstract class ApiAction
{
    public function __construct(
        public string $url,
        public MethodEnum $method,
        public int $timeout = 30,
        # Define how the search string will be build, passing params through the URL or into request's body
        public MethodEnum $searchMethod = MethodEnum::Get,
    ) {}
}