<?php

namespace Ulmus\Api\RequestBuilder;

class Pagination extends Fragment {

    public array $conditionList;

    public function add($field, mixed $value) : self
    {
        $this->conditionList[$field] = $value;

        return $this;
    }

    public function render(bool $skipToken = false) : string
    {
        return http_build_query($this->conditionList);
    }
}
