<?php

namespace Ulmus\Api\RequestBuilder;

class UrlParameter extends Fragment
{
    public const KEY = "bindings";

    public array $conditionList;

    public function add($field, mixed $value) : self
    {
        $this->conditionList[$field] = $value;

        return $this;
    }

    public function render() : array
    {
        return [
            static::KEY => $this->conditionList
        ];
    }
}
